<?php
include "scrinit.php";
include "logo.php";
require("dbconnect.php");
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:2px solid black;padding:4px;font-size:12pt; }
<p style="font-size:11px;"></p>
</style>

</script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">


function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=1000, height=300, top='+top+', left='+left);
}

function KeepCount1()  { 
    var elements = document.getElementsByName("math[]");
    var total = 0;

    for(var i in elements) {
        var element = elements[i];
        if(element.checked) total++;
        if(total>1) {
            alert("Να επιλέξετε μόνο 1 μάθημα");
            element.checked = false;
            return false;    
        }
    }
  } 
  
function KeepCount2()  { 
    var elements = document.getElementsByName("math[]");
    var total = 0;
	var gl = document.getElementById("glossa");
	if ( $.inArray('Ξένη Γλώσσα', elements) > -1 ) {
       
       if (gl.options[gl.selectedIndex].value == 'glossa') {
          alert("Πρέπει να επιλέξετε μια Ξένη Γλώσσα");
          return false;
          }
    }
    for(var i in elements) {
        var element = elements[i];
        if(element.checked) total++;
        if(total>2) {
            alert("Να επιλέξετε 2 μαθήματα");
            element.checked = false;
            return false;    
        }
    }
  }


function myFunction() 
{
var elements = document.getElementsByName("math[]");
var div = document.getElementById("el");
var data = div.textContent;
var total = 0;
var gl = document.getElementById("glossa");

for(var i in elements) 
{
        if(elements[i].checked) 
		{
		   el=elements[i].value;
           if(el == "Ξένη Γλώσσα")
           {	      
             if (gl.options[gl.selectedIndex].value == 'gloss') 
			 {
             alert("Πρέπει να επιλέξετε μια Ξένη Γλώσσα");
             return false;
             }
		  }
		}
}    

for(var i in elements) 
{
        var element = elements[i];
        if(element.checked) total++;
}

if( total < data) 
{
   if(data == 2)
   {alert("Πρέπει να επιλέξετε 2 Μαθήματα"); }
   else 
   {alert("Δεν έχετε επιλέξει Μάθημα"); }
   element.checked = false;
   return false;
}
document.forms["form1"].submit();
return false;
}

</script>

</head>
<body>

<?php 
$mo=$_GET['mo'];
$arr=explode('/',$mo);
$usr=$arr[0];
$_SESSION['usr']=$usr;
$omp=$arr[1];
$name=$arr[2];
$_SESSION['omp']=$omp;
echo "ΜΑΘΗΤΗΣ/ΤΡΙΑ: "."<b>".$name." (OMP:".$omp." )"."</b>"."<br>";
$taxi='Α';
if ($taxi=='Α'){$tax='Β';}
$_SESSION['tax']=$tax;
$sql=  mysqli_query($con,"SELECT  mitroo FROM epiloges WHERE mitroo='$usr' and class='Β'");
$row=mysqli_fetch_array($sql);
$c=mysqli_num_rows($sql);
$met=array();
if ($c > 0 ) { //o mathitis exei kanei dilosi
  ?><h3> ΑΛΛΑΓΗ  ΚΑΤΕΥΘΥΝΣΗΣ/ΜΑΘΗΜΑΤΩΝ ( Έχετε ήδη επιλέξει μαθήματα )  <?php echo $tax." Τάξης"?> </h3><?php
   $_SESSION['allagi']=1;
}
else
{
?><h2>ΕΠΙΛΟΓΗ ΜΑΘΗΜΑΤΩΝ <?php echo $tax." Τάξης"?> </h2><?php
$_SESSION['allagi']=0;
}

$sql = mysqli_query($con,"SELECT * from kats order by kat");

?>
<form   name='xx' method='post'>
</select>
<select style="color:gray;" name='katb'  >
<option  value="x" >-- Επέλεξε Kατεύθυνση --</option>
<?php

$i=1;
while($row = mysqli_fetch_array($sql) ) 
  { 
  $katname=$row['name'];$katv=$row['kat'];
  $p=$katv."/".$katname;
  echo "<option style='color:black;' value='$p'>$katv. $katname</option>";
  }
?>
</select>
<input type="submit" name="submit1" value="Επιβεβαίωση Επιλογής"style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;"  >
</form>

<?php
if (isset($_POST['submit1']))
{
$katv=$_POST['katb'];
$ar=explode("/",$katv);
$kat=$ar[0];$katname=$ar[1];
if ($katv == "x")
{
	 echo "<script>
     alert('Πρέπει να επιλέξετε Κατεύθυνση!');
     window.location.href='epilogesatob.php';
     </script>";
}	
echo "<br>";
echo "<b>"."Kατεύθυνση : "."</b>";
echo "<font face='arial' size='4pt' color='#ff0000'>".$kat." - ".$katname."</font> ";

//************metataksi
echo "<table style='width:900px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>ΕΞΕΤΑΣΕΙΣ ΜΕΤΑΤΑΞΗΣ</th> <th>ΑΠΑΙΤΟΥΜΕΝΑ ΜΑΘΗΜΑΤΑ</th>
</tr>";
echo "<tr>";
if ($kat==6) 
{
   echo "<td>"." Δεν απαιτούνται εξετάσεις "."</td>";
   echo "<td>"."  "."</td>";   
}
else
{
$sql = mysqli_query($con,"SELECT * FROM metataksi where kat='$kat'");
$row = mysqli_fetch_array($sql);
$f="omp".$omp;
$met[1]=$row["$f"];
if ($kat <> 2 or $kat <> 6)
{
$row = mysqli_fetch_array($sql);
$met[2]=$row["$f"];
}
$metataksi=serialize($met);
if ($met[1]==" " and $met[2]==" ")
{
	echo "<td>"." Δεν απαιτούνται εξετάσεις "."</td>";
	echo "<td>"."  "."</td>";
}
else
{
   echo "<td>"."<b>"." Η αλλαγή Κατεύθυνσης πιθανό να απαιτεί εξετάσεις ΜΕΤΑΤΑΞΗΣ. "."<b>"."<br>";
   echo "Οι εξετάσεις ΜΕΤΑΤΑΞΗΣ θα γίνουν μεταξύ 10 και 20 Ιουνίου. "."</td>";
   echo "<td>";
   echo "<font face='arial' size='4pt' color='#ff0000'>".$met[1]."</font> "."<br>";
   if ($met[2] <> "0")
   {
   echo "<font face='arial' size='4pt' color='#ff0000'>".$met[2]."</font> ";
   }
   echo "</td>";
}
}
echo "</tr>"."</table>";
echo "<br>"."<br>";
//******************** epilegomena
$sql1 = mysqli_query($con,"SELECT * FROM elects where kat='$kat'");
$sql2 = mysqli_query($con,"SELECT * FROM must where kat='$kat'");
$row2 = mysqli_fetch_array($sql2);
$m1=$row2['must1'];$m2=$row2['must2'];$m3=$row2['must3'];
?>
<div id="el" style="display: none;">
    <?php 
        $elnum=$row2['electnum'];
        echo htmlspecialchars($elnum); 
    ?>
</div>
<?php
echo "<table style='width:900px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#819FF7'  >
<th>ΚΑΤΕΥΘΥΝΣΗ ΣΠΟΥΔΩΝ</th>
<th>ΥΠΟΧΡΕΩΤΙΚΑ ΜΑΘΗΜΑΤΑ</th>
<th>ΜΑΘΗΜΑΤΑ ΓΙΑ ΕΠΙΛΟΓΗ</th> </tr>";
echo "<tr>";
echo "<td>".$kat." - ".$katname."</td>";
echo "<td>";
echo "Νέα Ελληνικά"."<br>";
echo $m1."<br>".$m2."<br>".$m3;
echo "</td>";
echo "<td>";
?>
<form id="form1" name="form1" method="POST" action="epilogesinsimv.php">
<?php
echo "<font face='arial' size='3pt' color='#ff0000'> Επιλέξτε μόνο ".$elnum." μαθήματα"."</font> ";
if ($kat==2 and $omp <> 1)
{
//echo "<br>";
echo "<font face='arial' size='2pt' color='#ff0000'> (Για τα Αρχαία Ελλ. χρειάζονται εξετάσεις Μετάταξης)"."</font> ";
}

    $i=1;
    while($row1 = mysqli_fetch_array($sql1) )
    { 
      $mth1[$i]=$row1['elect'];
	  if ($elnum==2)
	  {
		echo "<br>"."<input type='checkbox' value='$mth1[$i]' name='math[]' onClick='return KeepCount2()' >" .$mth1[$i];   
	  }
	  else
	  {
	  echo "<br>"."<input type='checkbox' value='$mth1[$i]' name='math[]' onClick='return KeepCount1()' >" .$mth1[$i];   
      }
   }
   if ($kat==2)
   {
	?>
	<br>
	<select id='glossa' name='alliglossa' >
      <option value="gloss">-- Επέλεξε Γλώσσα --</option>
	  <?php
	  echo "<option value='Γερμανικά'>Γερμανικά</option>";
	  echo "<option value='Ισπανικά'>Ισπανικά</option>";
	  echo "<option value='Ιταλικά'>Ιταλικά</option>";
	  echo "<option value='Ρωσικά'>Ρωσικά</option>";
	  echo "<option value='Τουρκικά'>Τουρκικά</option>";
      ?>
      </select>  
      <?php	  
   }
   if ($kat==3 )
   {
	?>
	<br>
	<select id='glossa' name='alliglossa' >
      <option value="gloss">-- Επέλεξε Γλώσσα --</option>
	  <?php
	  echo "<option value='Αγγλικά'>Αγγλικά</option>";
	  echo "<option value='Γαλλικά'>Γαλλικά</option>";
	  echo "<option value='Γερμανικά'>Γερμανικά</option>";
	  echo "<option value='Ισπανικά'>Ισπανικά</option>";
	  echo "<option value='Ιταλικά'>Ιταλικά</option>";
	  echo "<option value='Ρωσικά'>Ρωσικά</option>";
	  echo "<option value='Τουρκικά'>Τουρκικά</option>";
      ?>
      </select>  
      <?php	  
   }
   if ($kat==5)
   {
	?>
	<br>
	<select id='glossa' name='alliglossa' >
      <option value="gloss">-- Επέλεξε Γλώσσα --</option>
	  <?php
	  echo "<option value='Γαλλικά'>Γαλλικά</option>";
	  echo "<option value='Γερμανικά'>Γερμανικά</option>";
	  echo "<option value='Ισπανικά'>Ισπανικά</option>";
	  echo "<option value='Ιταλικά'>Ιταλικά</option>";
	  echo "<option value='Ρωσικά'>Ρωσικά</option>";
	  echo "<option value='Τουρκικά'>Τουρκικά</option>";
      ?>
      </select>  
      <?php	  
   }
echo "</td>"."<tr>"."</table>";
 ?>  
    <input type="hidden" name="kat"  value='<?php echo $kat; ?>'>
	<input type="hidden" name="katname"  value='<?php echo $katname; ?>'>
	<input type="hidden" name="elnum1"  value='<?php echo $elnum; ?>'>
	<input type="hidden" name="metataksi"  value='<?php echo $metataksi; ?>'>
	
	<input type="hidden" name="act"  value='<?php echo "2"; ?>'>
<br> 
<input name="submit2" onClick="myFunction()" type="button" value="Επιλογή Μαθημάτων " style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;" >

</form>
<?php
}
?>	
<br /><br />
<input type="button" name="cancelvalue" value="Επιστροφή " onClick="window.close()" style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;">
</body>
</html>